<!-- header starts with navbar -->
<header>
  <nav class="navbar navbar-expand-lg nav-size bar-gradient ">
    <div class="container-fluid">
      <a class="navbar-brand" routerLink="/Home" style="color: rgb(255, 216, 202);font-size: x-large;">
        <img src="../assets/Mappit_logo.png" alt="MappIt" width="60" height="50" ></a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse " id="navbarNavAltMarkup">
        <div class="navbar-nav">
              <a  class="nav-link" aria-current="page" routerLink="/Search" routerLinkActive="active" ariaCurrentWhenActive="page">Search</a>
              <a  class="nav-link" routerLink="/Add-Address" routerLinkActive="active" ariaCurrentWhenActive="page">Add Address</a>
        </div>
      </div>
    </div>
  </nav>

</header>
<!-- header ends -->

<!-- main body starts -->
<main >
<!--components routable comes here -->
  <router-outlet></router-outlet>

</main>

<!-- footer starts -->
<footer>
  <div class="footer bar-gradient">

      <div class="text-center social-icons">
          <a href="#"><i class="fa-brands fa-facebook"></i></a>
          <a href="#"><i class="fa-brands fa-twitter"></i></a>
          <a href="#"><i class="fa-brands fa-instagram"></i></a>
          <a href="#"><i class="fa-brands fa-youtube"></i></a>


      </div>

      <div class="text-center copyright">
          <p>© Copyright 2022 by <b>Tavant Developers</b>. All rights reserved</p>

      </div>
  </div>
</footer>
<!-- footer ends -->
